This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299860 - make install fails with no standard buildroot
make install fails with no standard buildroot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtommath (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 07:34 EST by smoretti
Modified: 2016-02-23 09:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 09:02:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smoretti 2016-01-19 07:34:05 EST
Description of problem:
my buildroot is not standard (i.e. not in /usr) and make install in the spec file fails to install include files properly in devel package.

Version-Release number of selected component (if applicable):
0.42.0-6

How reproducible:
Use a buildroot out of /usr


Actual results:
%{_includedir}/*.h fails in %files devel


Expected results:
%{_includedir}/*.h successfully added in %files devel


Additional info:
Adding INCPATH=%{_includedir} in the make install command looks to resolve the issue (not tested with standard buildroot)
Comment 1 Simone Caronni 2016-02-23 09:02:30 EST
Took the chance to add the change to libtommath-1.0-4 for the 1.0 rebase in Rawhide.
Comment 2 smoretti 2016-02-23 09:17:57 EST
(In reply to Simone Caronni from comment #1)
> Took the chance to add the change to libtommath-1.0-4 for the 1.0 rebase in
> Rawhide.

Will you take care of that.
Not sure I am allowed to.

Note You need to log in before you can comment on or make changes to this bug.